Subject: [bug#30748] [PATCH] gnu: Add nsd.

From: Tobias Geerinckx-Rice <[email-masked]>
Date: Mon, 12 Mar 2018 22:35:32 +0100

Danny,
Marius,

On 2018-03-12 22:03, Danny Milosavljevic wrote:
> Hi Marius,
> Hi Tobias,
> 
>> > +         (add-before 'configure 'patch-installation-paths
>> > +           (lambda* (#:key outputs #:allow-other-keys)
>> > +             (let* ((out (assoc-ref outputs "out"))
>> > +                    (doc (string-append out "/share/doc/" ,name "-" ,version)))
>> > +               (substitute* "Makefile.in"
>> > +                 (((string-append ".*\\$\\(DESTDIR\\)\\$\\("
>> > +                                  "(config|pid|xfr|db)dir"
>> > +                                  "\\).*"))
>> > +                  "")
>> 
>> Can you add a comment about what's going on here?
> 
> I agree... I'm scratching my head here. The ".*" is particularily 
> worrying.
> Doesn't that mean it will replace all the installation lines by
> nothing in the end?

Hmm? Well, the matching ones, yes...

I'd not call it ‘worrying’, since it does exactly what it should do, but 
you might want to have a word with 2016 Tobias about how ‘clever’ they 
think they're being.

Us less clever folks will just have to make do with a comment, indeed.

> Does that install anything still? :)
> 
> So now I've downloaded the source tarball and checked.
> 
> By extreme obscurity :), this only matches the "install -d" lines which 
> are
> creating empty directories (empty because of the configure-flags).

Obcurity by design :-)

>>  Would setting
>> DESTDIR=(assoc-ref %outputs "out") in #:make-flags suffice?
> 
> DESTDIR is for installing into a tempdir.  After that is done the 
> system
> is supposed to "mv $tempdir /" and the software is usually written 
> *not*
> to expect DESTDIR to be still here when it runs.  PREFIX is something
> else and probably what you had in mind.

Correct. DESTDIR is never the answer (unless, of course, it is).

Now, I think we can pretty safely credit my past self with knowing about 
PREFIX, so I suspect it wasn't as easy as just setting that. Or it's 
used incorrectly to look up data at run time, as some packages are wont 
to do, or something like that. I'll take a look when I get home; with 
extreme luck the problem I was solving there is no longer an issue in 
the current release.

Kind regards,

T G-R

Sent from a Web browser. Excuse or enjoy my brevity.